#
# spec file for package ghc-fay-base
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name fay-base
Name:           ghc-%{pkg_name}
Version:        0.21.1.0
Release:        3.15
Summary:        The base package for Fay
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-fay-devel
BuildRequires:  ghc-rpm-macros

%description
The base package for Fay. This package amongst others exports Prelude and FFI
which you probably want to use with Fay.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/src
%dir %{_datadir}/%{pkg_name}-%{version}/src/Control
%dir %{_datadir}/%{pkg_name}-%{version}/src/Data
%dir %{_datadir}/%{pkg_name}-%{version}/src/Data/MutMap
%dir %{_datadir}/%{pkg_name}-%{version}/src/Debug
%dir %{_datadir}/%{pkg_name}-%{version}/src/Fay
%dir %{_datadir}/%{pkg_name}-%{version}/src/Unsafe
%{_datadir}/%{pkg_name}-%{version}/src/*.hs
%{_datadir}/%{pkg_name}-%{version}/src/Control/*.hs
%{_datadir}/%{pkg_name}-%{version}/src/Data/*.hs
%{_datadir}/%{pkg_name}-%{version}/src/Data/MutMap/*.hs
%{_datadir}/%{pkg_name}-%{version}/src/Debug/*.hs
%{_datadir}/%{pkg_name}-%{version}/src/Fay/*.hs
%{_datadir}/%{pkg_name}-%{version}/src/Unsafe/*.hs

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Tue Jul 10 2018 psimons@suse.com
- Add fay-base at version 0.21.1.0.
